#!/bin/bash 

FUNCTIONS="`pwd`/functions.sh"
. $FUNCTIONS

set -eux

[ -f /opt/bin/upgradeVersion.sh ] || die "Falta upgradeVersion.sh, debe instalar fierroutils antes"

steps/packages-task.sh base
steps/packages-task.sh server

NOASK=1 /opt/bin/upgradeVersion.sh $TK_FIERRO_VERSION server || die "Falló la instalación"

if is_systemd; then
    systemctl enable fierroserver
fi
