#!/bin/bash

echo "Asegurarse que está instalada la libreria de desarrollo de zlib, y otros paquetes necesarios para compilar"
apt-get install -y build-essential zlib1g-dev || exit 1

HTTPROOT="http://downloads.fierro.com.ar/linux/ubuntu/deps"

if [ ! -d deps ]; then
    mkdir deps
fi

echo "Compilando e Instalando libpng 1.4/1.5 ..."
cd deps/
wget -c $HTTPROOT/libpng-1.4.13.tar.gz
tar zxf libpng-1.4.13.tar.gz
cd libpng-1.4.13
./configure --prefix=/usr
make
make install
cd ..
rm -Rf libpng-1.4.13

wget -c $HTTPROOT/libpng-1.5.19.tar.gz
tar zxf libpng-1.5.19.tar.gz
cd libpng-1.5.19
./configure --prefix=/usr
make
make install
cd ..
rm -Rf libpng-1.5.19

cd ../
