#!/bin/bash

. ./functions.sh

apt-get install -y language-pack-es-base

LOCALE_FILE=/etc/locale.gen
if [ -d /var/lib/locales/supported.d/ ]; then
    LOCALE_FILE=/var/lib/locales/supported.d/fierro
fi

# La siguiente linea viene por default en algunos ubuntu y hace fallar el uso de es_AR.ISO-8859-1
if [ -f /etc/locale.gen ]; then
    sed -i '/^es_AR ISO-8859-1$/d' /etc/locale.gen
fi

lineinfile $LOCALE_FILE "es_AR UTF-8"
lineinfile $LOCALE_FILE "es_AR.ISO-8859-1 ISO-8859-1"


locale-gen

update-locale LANG="es_AR.UTF-8"
