#!/bin/bash

FUNCTIONS="./functions.sh"
. $FUNCTIONS

wget --quiet -O- https://www.postgresql.org/media/keys/ACCC4CF8.asc | apt-key add -
echo "deb http://apt.postgresql.org/pub/repos/apt/ $(lsb_release -sc)-pgdg main" > /etc/apt/sources.list.d/pgdg.list
apt-get update

apt-get install -y postgresql-11 postgresql-client-11 postgresql-plpython-11
dieOnError "Error de instalacion de postgres"

su postgres -c "createuser -s root"

echo "Postgresql se instaló correctamente, recuerde parametrizarlo para aprovechar el hardware"
