#!/bin/bash

FUNCTIONS="`pwd`/functions.sh"
. $FUNCTIONS

FILE="Server-load.tar.gz"

wget "http://downloads.fierro-soft.com.ar/linux/$FILE"
dieOnError "Error bajando $FILE"

OLDPWD=`pwd`

cd ~
tar zxvf $OLDPWD/$FILE

TMPFILE=`tempfile`
crontab -l > $TMPFILE

echo >> $TMPFILE
echo "# Monitoreo de carga del servidor" >> $TMPFILE
echo "*/15  *   *   *   *   $PWD/Server-load/server-load.py" >> $TMPFILE
crontab $TMPFILE

rm $TMPFILE

rm $OLDPWD/$FILE
