#!/bin/bash 

FUNCTIONS="./functions.sh"
. $FUNCTIONS

CURRENT_FQDN=$(hostname --fqdn)
if [ -z "$TK_HOSTNAME" ] || [ "$CURRENT_FQDN" = "$TK_HOSTNAME" ]; then
    exit 0
fi

echo "$TK_HOSTNAME" > /etc/hostname
hostname "$TK_HOSTNAME"

sed -i '/^127.0.1.1/d' /etc/hosts
echo "127.0.1.1    $TK_HOSTNAME ${TK_HOSTNAME/.*}" >> /etc/hosts

