#!/bin/bash

. ./functions.sh
HTTPROOT="http://downloads.fierro.com.ar/linux/ubuntu/deps"

if [ ! -d deps ]; then
    mkdir deps
fi

cd deps/
wget -c $HTTPROOT/spyce-1.3.13-1.tgz
tar zxf spyce-1.3.13-1.tgz
cd spyce-1.3.13
make
make install
ln -sf /usr/share/spyce/run_spyceCmd.py /usr/bin/spyce
ln -sf /usr/share/spyce/docs/ /usr/share/doc/spyce
cd ..
rm -Rf spyce-1.3.13

apt-get install libapache2-mod-python
a2dismod wsgi
a2enmod python
echo PythonOptimize on > /etc/apache2/mods-enabled/python.conf

restart_service apache2
