#!/bin/bash 

FUNCTIONS="`pwd`/functions.sh"
. $FUNCTIONS

if [ ! -f /opt/bin/startLambdaTunnel ]; then
    die "Debe instalar el panel de Fierro para instalar en tunnel"
fi 
sed -i 's|.*RTUNNELHOST=.*|RTUNNELHOST=reversetunnel@tuneles.fierro.com.ar|g' /etc/opt/fierroutils/lambdaTunnel.conf
nano /etc/opt/fierroutils/lambdaTunnel.conf
echo "Recuerde agregar el puerto del túnel en /home/public/tuneles en su máquina"
ssh-keygen
echo "Debe agregar esta clave pública en cat >> /home/reversetunnel/.ssh/authorized_keys en jujuy"
cat /root/.ssh/id_rsa.pub
echo "Luego de hacerlo presione enter"
read ENTER

source /etc/opt/fierroutils/lambdaTunnel.conf

if [ -z $RTUNNELHOST ]; then
    echo "Si no quiere estas tres preguntas, configure explícitamente el RTUNNELHOST. Valor sugerido: tuneles.fierro.com.ar"
    ssh reversetunnel@tuneles.fierro-soft.com.ar
    ssh reversetunnel@tuneles.fierro.com.ar
    ssh reversetunnel@jujuy.q123.com.ar
else
    ssh reversetunnel@$RTUNNELHOST
fi
dieOnError "Error conectando a reversetunnel@tuneles.fierro.com.ar"


/etc/init.d/lambdaTunnel restart

